<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) 2.1.16 Update #6                                        |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2012 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 824.97.120908-140829                                              |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Core
 * @copyright (C) 2002-2012 Esselbach Internet Solutions
 */

/**
 * function AdminEditWebsite
 * A function to write the website configuration to the database
 * @author Philipp Louis Esselbach
 */
function AdminEditWebsite()
{
	global $database, $security, $system, $preferences, $html, $words_core;
	$input_website_name = ( isset( $_POST[ 'input_website_name' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_name' ] ) : "" ;
	$input_website_url = ( isset( $_POST[ 'input_website_url' ] ) ) ? $security -> checkvar( $system -> trimpath( $_POST[ 'input_website_url' ] ) ) : "" ;
	$input_website_description = ( isset( $_POST[ 'input_website_description' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_description' ] ) : "" ;
	$input_website_keywords = ( isset( $_POST[ 'input_website_keywords' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_keywords' ] ) : "" ;
	$input_website_active = ( isset( $_POST[ 'input_website_active' ] ) ) ? $security -> checknum( $_POST[ 'input_website_active' ] ) : "" ;
	$input_website_downreason = ( isset( $_POST[ 'input_website_downreason' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_downreason' ] ) : "" ;
	$input_website_seo = ( isset( $_POST[ 'input_website_seo' ] ) ) ? $security -> checknum( $_POST[ 'input_website_seo' ] ) : "" ;
	$input_website_seo_method = ( isset( $_POST[ 'input_website_seo_method' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_seo_method' ] ) : "" ;
	$input_website_forcetype = ( isset( $_POST[ 'input_website_forcetype' ] ) ) ? $security -> checknum( $_POST[ 'input_website_forcetype' ] ) : "" ;
	$input_website_mod_rewrite = ( isset( $_POST[ 'input_website_mod_rewrite' ] ) ) ? $security -> checknum( $_POST[ 'input_website_mod_rewrite' ] ) : "" ;
	$input_website_basic_rewrite = ( isset( $_POST[ 'input_website_basic_rewrite' ] ) ) ? $security -> checknum( $_POST[ 'input_website_basic_rewrite' ] ) : "" ;
	$input_website_module_separator = ( isset( $_POST[ 'input_website_module_separator' ] ) ) ? $security -> checknum( $_POST[ 'input_website_module_separator' ] ) : "" ;
	$input_website_seo_hyphens = ( isset( $_POST[ 'input_website_seo_hyphens' ] ) ) ? $security -> checknum( $_POST[ 'input_website_seo_hyphens' ] ) : "" ;
	$input_website_locale = ( isset( $_POST[ 'input_website_locale' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_locale' ] ) : "" ;
	$input_website_anon_ip = ( isset( $_POST[ 'input_website_anon_ip' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_anon_ip' ] ) : "" ;
	$input_website_managed_with = ( isset( $_POST[ 'input_website_managed_with' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_managed_with' ] ) : "" ;
	$input_website_affiliate_id = ( isset( $_POST[ 'input_website_affiliate_id' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_affiliate_id' ] ) : "" ;
	$input_website_gzip = ( isset( $_POST[ 'input_website_gzip' ] ) ) ? $security -> checknum( $_POST[ 'input_website_gzip' ] ) : "" ;
	$input_website_recaptcha = ( isset( $_POST[ 'input_website_recaptcha' ] ) ) ? $security -> checknum( $_POST[ 'input_website_recaptcha' ] ) : "" ;
	$input_website_recaptcha_public_key = ( isset( $_POST[ 'input_website_recaptcha_public_key' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_recaptcha_public_key' ] ) : "" ;
	$input_website_recaptcha_private_key = ( isset( $_POST[ 'input_website_recaptcha_private_key' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_recaptcha_private_key' ] ) : "" ;
	$input_website_cache = ( isset( $_POST[ 'input_website_cache' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_cache' ] ) : "" ;
	$input_website_cache_filesystem = ( isset( $_POST[ 'input_website_cache_filesystem' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_cache_filesystem' ] ) : "" ;
	$input_website_cache_expire = ( isset( $_POST[ 'input_website_cache_expire' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_cache_expire' ] ) : "" ;
	$input_website_cache_clear = ( isset( $_POST[ 'input_website_cache_clear' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_cache_clear' ] ) : "" ;
	$input_website_cache_css = ( isset( $_POST[ 'input_website_cache_css' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_cache_css' ] ) : "" ;
	$input_website_charset = ( isset( $_POST[ 'input_website_charset' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_charset' ] ) : "" ;
	$input_website_rtl = ( isset( $_POST[ 'input_website_rtl' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_rtl' ] ) : "" ;
	$input_website_tidy = ( isset( $_POST[ 'input_website_tidy' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_tidy' ] ) : "" ;
	$input_website_youtube_size = ( isset( $_POST[ 'input_website_youtube_size' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_youtube_size' ] ) : "" ;
	$input_website_timezone = ( isset( $_POST[ 'input_website_timezone' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_timezone' ] ) : "" ;
	$input_website_spellchecker = ( isset( $_POST[ 'input_website_spellchecker' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_spellchecker' ] ) : "" ;
	$input_website_theme_override = ( isset( $_POST[ 'input_website_theme_override' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_theme_override' ] ) : "" ;
	$input_website_logo_path = ( isset( $_POST[ 'input_website_logo_path' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_logo_path' ] ) : "" ;
	$input_website_logo_description = ( isset( $_POST[ 'input_website_logo_description' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_logo_description' ] ) : "" ;
	$input_website_logo_subtext = ( isset( $_POST[ 'input_website_logo_subtext' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_logo_subtext' ] ) : "" ;
	$input_website_watermark_path = ( isset( $_POST[ 'input_website_watermark_path' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_watermark_path' ] ) : "" ;
	$input_website_copyright = ( isset( $_POST[ 'input_website_copyright' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_copyright' ] ) : "" ;
	$input_website_stats = ( isset( $_POST[ 'input_website_stats' ] ) ) ? $security -> checknum( $_POST[ 'input_website_stats' ] ) : "" ;
	$input_website_stats_referrers = ( isset( $_POST[ 'input_website_stats_referrers' ] ) ) ? $security -> checknum( $_POST[ 'input_website_stats_referrers' ] ) : "" ;
	$input_website_stats_browsers = ( isset( $_POST[ 'input_website_stats_browsers' ] ) ) ? $security -> checknum( $_POST[ 'input_website_stats_browsers' ] ) : "" ;
	$input_website_stats_rss_readers = ( isset( $_POST[ 'input_website_stats_rss_readers' ] ) ) ? $security -> checknum( $_POST[ 'input_website_stats_rss_readers' ] ) : "" ;
	$input_website_stats_bots = ( isset( $_POST[ 'input_website_stats_bots' ] ) ) ? $security -> checknum( $_POST[ 'input_website_stats_bots' ] ) : "" ;
	$input_website_stats_onlineusers = ( isset( $_POST[ 'input_website_stats_onlineusers' ] ) ) ? $security -> checknum( $_POST[ 'input_website_stats_onlineusers' ] ) : "" ;
	$input_website_stats_onlinetime = ( isset( $_POST[ 'input_website_stats_onlinetime' ] ) ) ? $security -> checknum( $_POST[ 'input_website_stats_onlinetime' ] ) : "" ;
	$input_website_bruteforce = ( isset( $_POST[ 'input_website_bruteforce' ] ) ) ? $security -> checknum( $_POST[ 'input_website_bruteforce' ] ) : "" ;
	$input_website_subsessions_admin = ( isset( $_POST[ 'input_website_subsessions_admin' ] ) ) ? $security -> checknum( $_POST[ 'input_website_subsessions_admin' ] ) : "" ;
	$input_website_subsessions_user = ( isset( $_POST[ 'input_website_subsessions_user' ] ) ) ? $security -> checknum( $_POST[ 'input_website_subsessions_user' ] ) : "" ;
	$input_website_advertisement_header = ( isset( $_POST[ 'input_website_advertisement_header' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_advertisement_header' ] ) : "" ;
	$input_website_advertisement_middle = ( isset( $_POST[ 'input_website_advertisement_middle' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_advertisement_middle' ] ) : "" ;
	$input_website_advertisement_footer = ( isset( $_POST[ 'input_website_advertisement_footer' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_advertisement_footer' ] ) : "" ;
	$input_website_advertisement_block1 = ( isset( $_POST[ 'input_website_advertisement_block1' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_advertisement_block1' ] ) : "" ;
	$input_website_advertisement_block2 = ( isset( $_POST[ 'input_website_advertisement_block2' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_advertisement_block2' ] ) : "" ;
	$input_website_imprint_about_us = ( isset( $_POST[ 'input_website_imprint_about_us' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_about_us' ] ) : "" ;
	$input_website_imprint_company_name = ( isset( $_POST[ 'input_website_imprint_company_name' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_company_name' ] ) : "" ;
	$input_website_imprint_company_desc = ( isset( $_POST[ 'input_website_imprint_company_desc' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_company_desc' ] ) : "" ;
	$input_website_imprint_your_name = ( isset( $_POST[ 'input_website_imprint_your_name' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_your_name' ] ) : "" ;
	$input_website_imprint_address = ( isset( $_POST[ 'input_website_imprint_address' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_address' ] ) : "" ;
	$input_website_imprint_country = ( isset( $_POST[ 'input_website_imprint_country' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_country' ] ) : "" ;
	$input_website_imprint_phone = ( isset( $_POST[ 'input_website_imprint_phone' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_phone' ] ) : "" ;
	$input_website_imprint_cellphone = ( isset( $_POST[ 'input_website_imprint_cellphone' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_cellphone' ] ) : "" ;
	$input_website_imprint_fax = ( isset( $_POST[ 'input_website_imprint_fax' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_fax' ] ) : "" ;
	$input_website_imprint_email = ( isset( $_POST[ 'input_website_imprint_email' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_email' ] ) : "" ;
	$input_website_imprint_vat_id = ( isset( $_POST[ 'input_website_imprint_vat_id' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_vat_id' ] ) : "" ;
	$input_website_imprint_tax_number = ( isset( $_POST[ 'input_website_imprint_tax_number' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_tax_number' ] ) : "" ;
	$input_website_imprint_reg_number = ( isset( $_POST[ 'input_website_imprint_reg_number' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_reg_number' ] ) : "" ;
	$input_website_imprint_reg_at = ( isset( $_POST[ 'input_website_imprint_reg_at' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_reg_at' ] ) : "" ;
	$input_website_imprint_bank_account = ( isset( $_POST[ 'input_website_imprint_bank_account' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_bank_account' ] ) : "" ;
	$input_website_imprint_bank_name = ( isset( $_POST[ 'input_website_imprint_bank_name' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_bank_name' ] ) : "" ;
	$input_website_imprint_bank_code = ( isset( $_POST[ 'input_website_imprint_bank_code' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_bank_code' ] ) : "" ;
	$input_website_imprint_bank_iban = ( isset( $_POST[ 'input_website_imprint_bank_iban' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_bank_iban' ] ) : "" ;
	$input_website_imprint_bank_swift = ( isset( $_POST[ 'input_website_imprint_bank_swift' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_bank_swift' ] ) : "" ;
	$input_website_imprint_privacypolicy = ( isset( $_POST[ 'input_website_imprint_privacypolicy' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_privacypolicy' ] ) : "" ;
	$input_website_imprint_termsofuse = ( isset( $_POST[ 'input_website_imprint_termsofuse' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_termsofuse' ] ) : "" ;
	$input_website_imprint_conditions = ( isset( $_POST[ 'input_website_imprint_conditions' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_imprint_conditions' ] ) : "" ;
	$input_zid = ( isset( $_POST[ 'input_zid' ] ) ) ? $security -> checknum( $_POST[ 'input_zid' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;

	if( ( $system -> adminhashget() != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_core[ 'ERROR' ], $words_core[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}

	if( !$preferences[ 'product_demo' ] )
	{
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_name . "' WHERE preference_key = 'WEBSITE_NAME' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_url . "' WHERE preference_key = 'WEBSITE_URL' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_description . "' WHERE preference_key = 'WEBSITE_DESCRIPTION' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_keywords . "' WHERE preference_key = 'WEBSITE_KEYWORDS' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_active . "' WHERE preference_key = 'WEBSITE_ACTIVE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_downreason . "' WHERE preference_key = 'WEBSITE_DOWNREASON' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_seo . "' WHERE preference_key = 'WEBSITE_SEO' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_seo_method . "' WHERE preference_key = 'WEBSITE_SEO_METHOD' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_forcetype . "' WHERE preference_key = 'WEBSITE_FORCETYPE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_mod_rewrite . "' WHERE preference_key = 'WEBSITE_MOD_REWRITE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_basic_rewrite . "' WHERE preference_key = 'WEBSITE_BASIC_REWRITE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_module_separator . "' WHERE preference_key = 'WEBSITE_MODULE_SEPARATOR' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_seo_hyphens . "' WHERE preference_key = 'WEBSITE_SEO_HYPHENS' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_locale . "' WHERE preference_key = 'WEBSITE_LOCALE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_anon_ip . "' WHERE preference_key = 'WEBSITE_ANON_IP' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_managed_with . "' WHERE preference_key = 'WEBSITE_MANAGED_WITH' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_affiliate_id . "' WHERE preference_key = 'WEBSITE_AFFILIATE_ID' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_gzip . "' WHERE preference_key = 'WEBSITE_GZIP' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_recaptcha . "' WHERE preference_key = 'WEBSITE_RECAPTCHA' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_recaptcha_public_key . "' WHERE preference_key = 'WEBSITE_RECAPTCHA_PUBLIC_KEY' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_recaptcha_private_key . "' WHERE preference_key = 'WEBSITE_RECAPTCHA_PRIVATE_KEY' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_cache . "' WHERE preference_key = 'WEBSITE_CACHE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_cache_filesystem . "' WHERE preference_key = 'WEBSITE_CACHE_FILESYSTEM' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_cache_expire . "' WHERE preference_key = 'WEBSITE_CACHE_EXPIRE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_cache_clear . "' WHERE preference_key = 'WEBSITE_CACHE_CLEAR' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_cache_css . "' WHERE preference_key = 'WEBSITE_CACHE_CSS' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_charset . "' WHERE preference_key = 'WEBSITE_CHARSET' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_rtl . "' WHERE preference_key = 'WEBSITE_RTL' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_tidy . "' WHERE preference_key = 'WEBSITE_TIDY' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_youtube_size . "' WHERE preference_key = 'WEBSITE_YOUTUBE_SIZE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_timezone . "' WHERE preference_key = 'WEBSITE_TIMEZONE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_spellchecker . "' WHERE preference_key = 'WEBSITE_SPELLCHECKER' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_logo_path . "' WHERE preference_key = 'WEBSITE_LOGO_PATH' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_theme_override . "' WHERE preference_key = 'WEBSITE_THEME_OVERRIDE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_logo_description . "' WHERE preference_key = 'WEBSITE_LOGO_DESCRIPTION' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_logo_subtext . "' WHERE preference_key = 'WEBSITE_LOGO_SUBTEXT' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_watermark_path . "' WHERE preference_key = 'WEBSITE_WATERMARK_PATH' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_copyright . "' WHERE preference_key = 'WEBSITE_COPYRIGHT' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_stats . "' WHERE preference_key = 'WEBSITE_STATS' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_stats_referrers . "' WHERE preference_key = 'WEBSITE_STATS_REFERRERS' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_stats_browsers . "' WHERE preference_key = 'WEBSITE_STATS_BROWSERS' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_stats_rss_readers . "' WHERE preference_key = 'WEBSITE_STATS_RSS_READERS' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_stats_bots . "' WHERE preference_key = 'WEBSITE_STATS_BOTS' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_stats_onlineusers . "' WHERE preference_key = 'WEBSITE_STATS_ONLINEUSERS' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_stats_onlinetime . "' WHERE preference_key = 'WEBSITE_STATS_ONLINETIME' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_bruteforce . "' WHERE preference_key = 'WEBSITE_BRUTEFORCE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_subsessions_admin . "' WHERE preference_key = 'WEBSITE_SUBSESSIONS_ADMIN' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_subsessions_user . "' WHERE preference_key = 'WEBSITE_SUBSESSIONS_USER' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_advertisement_header . "' WHERE preference_key = 'WEBSITE_ADVERTISEMENT_HEADER' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_advertisement_middle . "' WHERE preference_key = 'WEBSITE_ADVERTISEMENT_MIDDLE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_advertisement_footer . "' WHERE preference_key = 'WEBSITE_ADVERTISEMENT_FOOTER' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_advertisement_block1 . "' WHERE preference_key = 'WEBSITE_ADVERTISEMENT_BLOCK1' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_advertisement_block2 . "' WHERE preference_key = 'WEBSITE_ADVERTISEMENT_BLOCK2' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_about_us . "' WHERE preference_key = 'WEBSITE_IMPRINT_ABOUT_US' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_company_name . "' WHERE preference_key = 'WEBSITE_IMPRINT_COMPANY_NAME' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_company_desc . "' WHERE preference_key = 'WEBSITE_IMPRINT_COMPANY_DESC' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_your_name . "' WHERE preference_key = 'WEBSITE_IMPRINT_YOUR_NAME' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_address . "' WHERE preference_key = 'WEBSITE_IMPRINT_ADDRESS' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_country . "' WHERE preference_key = 'WEBSITE_IMPRINT_COUNTRY' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_phone . "' WHERE preference_key = 'WEBSITE_IMPRINT_PHONE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_cellphone . "' WHERE preference_key = 'WEBSITE_IMPRINT_CELLPHONE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_fax . "' WHERE preference_key = 'WEBSITE_IMPRINT_FAX' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_email . "' WHERE preference_key = 'WEBSITE_IMPRINT_EMAIL' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_vat_id . "' WHERE preference_key = 'WEBSITE_IMPRINT_VAT_ID' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_tax_number . "' WHERE preference_key = 'WEBSITE_IMPRINT_TAX_NUMBER' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_reg_number . "' WHERE preference_key = 'WEBSITE_IMPRINT_REG_NUMBER' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_reg_at . "' WHERE preference_key = 'WEBSITE_IMPRINT_REG_AT' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_bank_account . "' WHERE preference_key = 'WEBSITE_IMPRINT_BANK_ACCOUNT' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_bank_name . "' WHERE preference_key = 'WEBSITE_IMPRINT_BANK_NAME' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_bank_code . "' WHERE preference_key = 'WEBSITE_IMPRINT_BANK_CODE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_bank_iban . "' WHERE preference_key = 'WEBSITE_IMPRINT_BANK_IBAN' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_bank_swift . "' WHERE preference_key = 'WEBSITE_IMPRINT_BANK_SWIFT' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_privacypolicy . "' WHERE preference_key = 'WEBSITE_IMPRINT_PRIVACYPOLICY' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_termsofuse . "' WHERE preference_key = 'WEBSITE_IMPRINT_TERMSOFUSE' AND preference_website = '" . $input_zid . "'" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_imprint_conditions . "' WHERE preference_key = 'WEBSITE_IMPRINT_CONDITIONS' AND preference_website = '" . $input_zid . "'" );
	}

	if( file_exists( "../includes/preferences.php" ) )
	{
		@unlink( "../includes/preferences.php" );
	}

	$html -> login( $words_core[ 'EDIT_WEBSITE' ], $words_core[ 'WEBSITE_CHANGED' ], "index.php?action=managewebsites" );
}
?>